# RPM specfile for evolution module
# Generated Tue May  6 18:40:13 2003 GMT by Ximian build system
# $Id: bb_do,v 1.229 2003/04/30 19:40:24 thunder Exp $
# from $Id: ximian-build.conf,v 1.13 2003/04/30 20:00:14 dobey Exp $

%define nam	evolution
%define ver	1.3.3
%define ximrev	2

Name:     	evolution1.3
Version: 	1.3.3
Release:	0.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Solaris 8 / SPARC
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /opt/gnome/doc

URL:		http://www.gnome.org/
Source0:	evolution-1.3.3.tar.gz
Patch0:		evolution-1.3.3-libgcc.patch
BuildRequires:	evo-db3
BuildRequires:	evo-openldap
BuildRequires:	gtkhtml3.0-devel >= 3.0.2
BuildRequires:	libgal2.0-devel >= 1.99.3
BuildRequires:	libgnomeprintui22-devel
BuildRequires:	mozilla-nspr = 35:1.0.1
BuildRequires:	mozilla-nspr-devel = 35:1.0.1
BuildRequires:	mozilla-nss = 35:1.0.1
BuildRequires:	mozilla-nss-devel = 35:1.0.1
BuildRequires:	gnome-pilot-devel >= 2.0.0
Summary:	GNOME's next-generation groupware suite
Group:		Applications/Productivity
Requires:	libgtkhtml3.0_1 >= 3.0.2
Requires:	gtkhtml3.0 >= 3.0.2
Requires:	libgal2.0_2 >= 1.99.3
Provides:	ximian-evolution1.3 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	vpkg-SUNWgnome-config
Prereq:	vpkg-SUNWgnome-libs

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/opt/gnome/libexec/evolution-1.3
/opt/gnome/share/applications/*
/opt/gnome/share/mime-info/*
/opt/gnome/share/idl/*
/opt/gnome/share/evolution/1.3
/opt/gnome/share/pixmaps/*
/opt/gnome/*/locale/*/LC_MESSAGES/*.mo
/opt/gnome/lib/evolution/1.3/*cal*.so.*
/opt/gnome/lib/evolution/1.3/libe*.so.*
/opt/gnome/lib/evolution/1.3/libwombat.so.*
/opt/gnome/lib/evolution/1.3/libversit.so.*
/opt/gnome/lib/bonobo/servers/*.server
/opt/gnome/lib/evolution/1.3/evolution-calendar-importers/*.so
/opt/gnome/lib/evolution/1.3/evolution-mail-importers/*.so
/opt/gnome/lib/evolution/1.3/components/*.so
/opt/gnome/libexec/evolution/1.3/evolution-wombat
/opt/gnome/libexec/evolution/1.3/evolution-addressbook-import
/opt/gnome/libexec/evolution/1.3/evolution-launch-composer
/opt/gnome/libexec/evolution/1.3/killev
/opt/gnome/libexec/evolution/1.3/csv2vcard
/opt/gnome/libexec/evolution/1.3/evolution-addressbook-clean
/opt/gnome/libexec/evolution/1.3/evolution-alarm-notify
/opt/gnome/libexec/evolution/1.3/*importer
/opt/gnome/bin/evolution-1.3
/opt/gnome/etc/gconf/schemas/*.schemas
/opt/gnome/share/omf/*
/opt/gnome/share/gnome/help/*
%dir /opt/gnome/share/pixmaps
%dir /opt/gnome/share/evolution
%dir /opt/gnome/lib/evolution
%dir /opt/gnome/lib/evolution/1.3
%dir /opt/gnome/lib/evolution/1.3/evolution-calendar-importers
%dir /opt/gnome/lib/evolution/1.3/evolution-mail-importers
%dir /opt/gnome/libexec/evolution
%dir /opt/gnome/libexec/evolution/1.3
/opt/gnome/lib/evolution/1.3/camel-providers/*.so
/opt/gnome/lib/evolution/1.3/camel-providers/*.urls
/opt/gnome/lib/evolution/1.3/libcamel.so.*
/opt/gnome/libexec/evolution/1.3/camel/camel-index-control
%dir /opt/gnome/lib/evolution/1.3/camel-providers
%dir /opt/gnome/libexec/evolution/1.3/camel
%attr (2755, root, mail) /opt/gnome/libexec/evolution/1.3/camel/camel-lock-helper


%post
/bin/true
/usr/gnome/bin/scrollkeeper-update >/dev/null 2>&1
GCONF_CONFIG_SOURCE=`/usr/gnome/bin/gconftool-2 --get-default-source` /usr/gnome/bin/gconftool-2 --makefile-install-rule /opt/gnome/etc/gconf/schemas/apps_evolution_addressbook.schemas /opt/gnome/etc/gconf/schemas/apps_evolution_shell.schemas /opt/gnome/etc/gconf/schemas/apps_evolution_summary.schemas /opt/gnome/etc/gconf/schemas/evolution-mail.schemas /opt/gnome/etc/gconf/schemas/apps_evolution_calendar.schemas
/usr/dt/bin/dtappintegrate -s /opt/gnome/share/evolution/1.3/cde_app_root

%postun
/usr/gnome/bin/scrollkeeper-update >/dev/null 2>&1
[ $1 = 0 ] && /usr/dt/bin/dtappintegrate -u -s /opt/gnome/share/evolution/1.3/cde_app_root

%package -n evolution1.3-devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	evolution1.3 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-evolution1.3-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n evolution1.3-devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%files -n evolution1.3-devel
%defattr(-, root, root)
/opt/gnome/include/evolution-1.3/*.h
/opt/gnome/include/evolution-1.3/cal-client
/opt/gnome/include/evolution-1.3/cal-util
/opt/gnome/include/evolution-1.3/e-conduit
/opt/gnome/include/evolution-1.3/e-db3util
/opt/gnome/include/evolution-1.3/e-util
/opt/gnome/include/evolution-1.3/ebook
/opt/gnome/include/evolution-1.3/ename
/opt/gnome/include/evolution-1.3/importer
/opt/gnome/include/evolution-1.3/pas
/opt/gnome/include/evolution-1.3/pcs
/opt/gnome/include/evolution-1.3/shell
/opt/gnome/include/evolution-1.3/widgets
/opt/gnome/include/evolution-1.3/wombat
/opt/gnome/lib/evolution/1.3/lib*cal*.a
/opt/gnome/lib/evolution/1.3/lib*cal*.so
/opt/gnome/lib/evolution/1.3/lib*cal*.la
/opt/gnome/lib/evolution/1.3/libe*.a
/opt/gnome/lib/evolution/1.3/libe*.so
/opt/gnome/lib/evolution/1.3/libe*.la
/opt/gnome/lib/evolution/1.3/libpas.a
/opt/gnome/lib/evolution/1.3/libpcs.a
/opt/gnome/lib/evolution/1.3/libversit.a
/opt/gnome/lib/evolution/1.3/libversit.so
/opt/gnome/lib/evolution/1.3/libversit.la
/opt/gnome/lib/evolution/1.3/libwombat.a
/opt/gnome/lib/evolution/1.3/libwombat.so
/opt/gnome/lib/evolution/1.3/libwombat.la
/opt/gnome/lib/pkgconfig/*.pc
%dir /opt/gnome/include/evolution-1.3
/opt/gnome/include/evolution-1.3/camel
/opt/gnome/lib/evolution/1.3/libcamel.so
/opt/gnome/lib/evolution/1.3/libcamel.a
/opt/gnome/lib/evolution/1.3/libcamel.la


%package -n evolution1.3-pilot
Summary:	Evolution conduits for gnome-pilot
Group:		Communications
Requires:	evolution1.3 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-evolution1.3-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	evolution-pilot < 1.3

%description -n evolution1.3-pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to
synchronize your Palm with Evolution.

%files -n evolution1.3-pilot
%defattr(-, root, root)
/opt/gnome/share/*/conduits/*
/opt/gnome/lib/*/conduits/*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n evolution-1.3.3
    ;;
all)
%setup  -q -n evolution-1.3.3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; automake --gnu --add-missing --include-deps; ./configure --sysconfdir=/opt/gnome/etc --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var \
	    --enable-gtk-doc=no \
	    --with-openssl-libs=no --with-openssl-includes=no \
	    --with-db3-includes=/opt/evo-db3/include \
	    --with-db3-libs=/opt/evo-db3/lib \
	    --enable-nss=yes \
	    --with-openldap=/opt/evo-openldap --with-static-ldap \
	    --enable-pilot-conduits=yes --with-pisock=/opt/gnome \
            --with-krb4=/usr/kerberos --with-krb5=/usr/kerberos \
	    --with-kde-applnk-path=DISABLE
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; rm -f ${DESTDIR}/opt/gnome/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon May 5 2003 Ximian, Inc.

- Version: 1.3.3-0.ximian.2
- Summary: New build.
- New automated build.

* Tue Apr 29 2003 Ximian, Inc.

- Version: 1.3.2-0.ximian.4
- Summary: New build.
- New automated build.

* Wed Apr 9 2003 Ximian, Inc.

- Version: 1.3.1-0.ximian.4
- Summary: New build.
- New automated build.

